GENE2XML(1)

NAME
gene2xml - convert NCBI Entrez Gene ASN.1 into XML

SYNOPSIS
gene2xml [-] [-b] [-c] [-i filename] [-l] [-o filename] [-p path] [-r path] [-t N] [-x] [-y] [-z]

DESCRIPTION
gene2xml is a stand-alone program that converts Entrez Gene ASN.1 into XML. Entrez Gene data are stored as compressed binary Entrezgene-Set ASN.1 files on the NCBI ftp site, and have the suffix .ags.gz. These are several-fold smaller than compressed XML files, resulting in a significant savings of disk storage and network bandwidth. Normal processing by gene2xml produces text XML files with the same name but with .xgs as the suffix.

OPTIONS
A summary of options is included below.

-   Print usage message

-b  File is Binary

-c  File is Compressed

-i filename
    Single Input file (standard input by default) when not using -p

-l  Log processing (list files processed when using -p)

-o filename
    Single Output file (standard output by default) when not using -p

-p path
    Path to Files (if processing an entire directory)

-r path
    Path for Results when using -p; defaults to the input directory

-t N
    Limit to the given Taxon ID (per http://www.ncbi.nlm.nih.gov/Taxonomy/)

-x  Extract .ags to text .agc (format previously distributed)

-y  Combine .agc to text .ags (for testing)

-z  Combine .agc to binary .ags, then gzip

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
asn2all(1), asn2asn(1), asn2xml(1), asndhuff(1), /usr/share/doc/ncbi-tools-bin/gene2xml.txt.gz, /usr/share/doc/libncbi6t64/ncbixml.txt.gz